from __future__ import annotations

import datetime as dt

from project.api.schema.out.client.common import SimpleDBMClientSO
from project.sqlalchemy_db_.sqlalchemy_model import UserDBM


class UserClient1SO(SimpleDBMClientSO):
    email: str | None
    roles: list[str]
    is_active: bool
    tg_id: int | None
    tg_bot_last_action_dt: dt.datetime | None

    roles_has_admin: bool
    roles_has_client: bool
    allowed_roles: list[str]
    tg_data_first_name: str | None
    tg_data_last_name: str | None
    tg_data_language_code: str | None
    tg_data_username: str | None
    tg_data_at_username: str | None
    tg_data_fullname: str | None
    tg_data_link_by_username: str | None

    @classmethod
    def from_dbm(cls, *, simple_dbm: UserDBM) -> UserClient1SO:
        return cls.model_validate(simple_dbm.simple_dict_with_sd_properties(
            only_columns_and_sd_properties=cls.model_fields.keys()
        ))
